logo
TemplatesGet template
Templates

Get template

Returns a single template by ID.

curl -X GET "https://api.sendkit.ai/v1/templates/example_string" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "success": true,
  "data": {
    "_id": "666f1a2b3c4d5e6f7a8b9c0d",
    "name": "Initial Outreach",
    "content": "<p>Hi {{firstName}},</p><p>I noticed {{company}} is growing fast...</p>",
    "shortcut": "A",
    "workspaceId": "664f0a1b2c3d4e5f6a7b8c9e",
    "createdBy": "664f0a1b2c3d4e5f6a7b8c9d",
    "createdAt": "2025-06-10T10:30:00.000Z",
    "updatedAt": "2025-06-10T10:30:00.000Z"
  }
}
GET
/v1/templates/{id}
GET
API Key (header: X-Api-Key)
X-Api-Keystring
Required

Platform API key (sk_user_...) or Workspace API key (sk_...)

Platform API key (sk_user_...) or Workspace API key (sk_...)
Bearer Token
Bearer Tokenstring
Required

API key as Bearer token

API key as Bearer token
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-Api-Keystring
Required

API Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)

header
Authorizationstring
Required

Bearer token. API key as Bearer token

Path Parameters

idstring
Required

Resource ID

Responses

successboolean
dataobject